Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.modeshape.graph
Interface Graph.WithInput<Next>

Type Parameters:
  `Next` - The interface that is to be returned when constructing this request is completed

All Superinterfaces:
  Graph.To<Next>, Graph.WithScope<Next>

All Known Subinterfaces:
  Graph.ApplyFunction<Next>

All Known Implementing Classes:
  Graph.ApplyFunctionAction

Enclosing class:
  Graph

    public static interface Graph.WithInput<Next>

extends Graph.WithScope<Next>

The interface for defining input parameters for a function.

Method Summary
`Graph.WithInput<Next>` | `and(String parameterName, Object parameterValue)` Specify the name and value of an input to be passed to the function when it is executed.
`Graph.WithInput<Next>` | `withInput(String parameterName, Object parameterValue)` Specify the name and value of an input to be passed to the function when it is executed.

Methods inherited from interface org.modeshape.graph.Graph.To
`to, to, to`

Method Detail

### withInput

    Graph.WithInput<Next> withInput(String parameterName,
                                    Object parameterValue)

  Specify the name and value of an input to be passed to the function when it is executed.

  Parameters:
    `parameterName` - the parameter name
    `parameterValue` - the parameter value
  Returns:
    this interface for continued specification of the request
  Throws:
    `IllegalArgumentException` - if the parameter name is null or empty

### and

    Graph.WithInput<Next> and(String parameterName,
                              Object parameterValue)

  Specify the name and value of an input to be passed to the function when it is executed.

  Parameters:
    `parameterName` - the parameter name
    `parameterValue` - the parameter value
  Returns:
    this interface for continued specification of the request
  Throws:
    `IllegalArgumentException` - if the parameter name is null or empty

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2008-2012 JBoss, a division of Red Hat. All Rights Reserved.